#!/usr/bin/python

# $Id: setup.py,v 1.3 2003/09/11 16:42:12 poettering Exp $

# This file is part of python-shbuf.
#
# python-shbuf is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# python-shbuf is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with python-shbuf; if not, write to the Free Software Foundation,
# Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.

from distutils.core import setup, Extension

setup(name="python-shbuf",
      license="GPL",
      version="0.0.3",
      description="Python module for libshbuf",
      author="Lennart Poettering",
      author_email="mzclfuohs (at) 0pointer (at) de",
      url="http://0pointer.de/lennart/projects/python-shbuf/",
      ext_modules=[Extension("shbuf",
                             ["src/shbufmodule.c"],
                             include_dirs=["/usr/local/include"],
                             libraries=["shbuf"])])
